Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface DrillExpandMember

All Superinterfaces:
  Extension

All Known Implementing Classes:
  DrillExpandMemberExt, TestDrillExpandMember

    public interface DrillExpandMember

extends Extension

allows to expand / collapse members on an axis. If a member is expanded, the member itself plus its children are displayed.

Example: if you expand "Europe" you may see "Germany", "France" etc. If you collapse "Europe" the countries will not be shown.

If multiple Hierarchies are shown on a single axis, all positions are expanded. For example

     -----+-------
     2001 | Europe
     -----+-------
     2002 | Europe
     -----+-------
     2003 | Europe
     -----+-------

clicking on Europe in 2002 will give

     -----+-------
     2001 | Europe
          |   Germany
          |   France
     -----+-------
     2002 | Europe
          |   Germany
          |   France
     -----+-------
     2003 | Europe
          |   Germany
          |   France
     -----+-------

Author:
  av

Field Summary
`static java.lang.String` | `ID` name of the Extension for lookup

Method Summary
`boolean` | `canCollapse(Member member)` true if member has children that are currently displayed.
`boolean` | `canExpand(Member member)` true if member has children and is not currently expanded
`void` | `collapse(Member member)` collapses member
`void` | `expand(Member member)` expands member

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

  name of the Extension for lookup

  See Also:
    Constant Field Values

Method Detail

### canExpand

    boolean canExpand(Member member)

  true if member has children and is not currently expanded

### canCollapse

    boolean canCollapse(Member member)

  true if member has children that are currently displayed. I.e. member is expanded.

### expand

    void expand(Member member)

  expands member

### collapse

    void collapse(Member member)

  collapses member

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD